Create, update and delete attribute groups - Fabric

Create, update and delete attribute groups

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-product/v1/product/attribute-group \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "transactional": true,
  "attributeGroup": [
    {
      "action": "UPDATE",
      "type": "COLLECTION",
      "description": "Item weight, in KG",
      "name": "weight",
      "priorityOrder": 1,
      "id": "6259ec8d006b0d00092b3189",
      "editableAttributes": [
        {
          "action": "UPDATE",
          "id": "6245f16d11ae770009f19292",
          "order": 0
        }
      ]
    }
  ]
}
'

Python

import requests

url = "https://live.copilot.fabric.inc/api-product/v1/product/attribute-group"

payload = {
    "transactional": True,
    "attributeGroup": [
        {
            "action": "UPDATE",
            "type": "COLLECTION",
            "description": "Item weight, in KG",
            "name": "weight",
            "priorityOrder": 1,
            "id": "6259ec8d006b0d00092b3189",
            "editableAttributes": [
                {
                    "action": "UPDATE",
                    "id": "6245f16d11ae770009f19292",
                    "order": 0
                }
            ]
        }
    ]
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    transactional: true,
    attributeGroup: [
      {
        action: 'UPDATE',
        type: 'COLLECTION',
        description: 'Item weight, in KG',
        name: 'weight',
        priorityOrder: 1,
        id: '6259ec8d006b0d00092b3189',
        editableAttributes: [{action: 'UPDATE', id: '6245f16d11ae770009f19292', order: 0}]
      }
    ]
  })
};

fetch('https://live.copilot.fabric.inc/api-product/v1/product/attribute-group', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Sample Responses

Successful Response (200)

[
  {
    "_id": "6259ec8d006b0d00092b3189",
    "description": "Item weight, in KG",
    "type": "COLLECTION",
    "name": "weight",
    "priorityOrder": 1,
    "createdOn": "2022-04-15T22:07:09.921Z",
    "modifiedOn": "2022-04-15T22:10:05.427Z",
    "attributes": [
      {
        "_id": "6259ec8defc2116dd6c0f3fc",
        "attributeGroupId": "6259ec8d006b0d00092b3189",
        "attributeId": "6245f16d11ae770009f19292",
        "isEditable": true,
        "createdOn": "2022-04-15T22:07:09.932Z",
        "modifiedOn": "2022-04-15T22:10:05.444Z",
        "order": 0
      }
    ]
  }
]

Client Error Response (400)

{
  "code": 400,
  "message": "Client error"
}

Server Error Response (500)

{
  "code": 500,
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}